Languages

Git - jak naprawić błąd - error: unable to start editor 'emacs'?

0 points
Asked by:
Dirask Community
6900

Opis problemu:

Gdy używam komendy git pull wyskakuje mi błąd:

error: unable to start editor 'emacs'

Jak mogę to naprawić?

1 answer
0 points
Answered by:
Dirask Community
6900

Rozwiązanie:

Udało mi się rozwiązać ten problem ustawiając edytor vim jako domyślny edytor git. Większość dystrybucji Linuksa będzie miała domyślnie vim:

Aby ustawić edytor git na vim, musimy użyć następującej komendy:

git config --global core.editor vim

Mógłbyś także zainstalować edytor emacs, ale większość ludzi woli vim zamiast vi i emacs.

0 comments Add comment
Native Advertising
🚀
Get your tech brand or product in front of software developers.
For more information Contact us
Dirask - we help you to
solve coding problems.
Ask question.

❤️💻 🙂

Join